Subject: Re: [nemo] Review 2 of draft-ietf-nemo-home-network-models-04.txt

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 03 Oct 2005 17:06:46 +0200

Hi Pascal,

on 2005-09-30 11:06 Pascal Thubert (pthubert) said the following:
>>>>>>Section 1., para. 2:
[...]
>>>>Slightly, but not enough, I think.  After trying out various formulations,
>>>>I actually think it would be better to reduce the paragraph to this:
>>>>
>>>>   In order to read this document properly, it is important to realise
>>>>   there is a distinction between the concepts of Home Link and Home
>>>>   Network, and in a NEMO context these may not at all be equivalent.
>>>>   How the two concepts relate in a given deployment depend on the
>>>>   organization of the Home Network, as described below.
>>>>
>>>
>>> [<PT>] What about:
>>>
>>>     In order to read this document properly, it is important to realize
>>>     that in a NEMO context, the Home Network is not bounded by the Home Link.
>>>     How the two concepts relate in a given deployment depends on the
>>>     organization of the Home Network, as described below.
>>
>>No - remember, this is at the very beginning of the document.  Reading this
>>would still leave me wondering - what is meant here - bounded? Physically?
>>logically? prefix-wise?  what??
>>
>>My earlier suggestion still seems to me like a good one - would you consider
>>it again?
> 
> [<PT>] The problem that I tried to change was in the comparison of a
> Link (usually a L2 term) and a Network (usually a L3 term). I wanted to
> say that in MIP, the Network overlaps with - is congruent to, whatever -
> the Link. But in NEMO, the network is much wider as it spans the Home
> Link and all the Links that the MRs carry with them.  
> 
> Could you then reword a bit?

Hmm.  A first try - I'm not sure if this is good language, but at least
I would be able to understand it...:

   In order to read this document properly, it is important to realise
   there is a distinction between the concepts of Home Link and Home
   Network.  In a NEMO context these may not at all be equivalent -
   quite to the contrary: in NEMO, the Home Network can encompass much
   more than the Home Link, as it spans the Home Link and all the Links
   that the Mobile Routers carry with them.  Exactly how the two concepts
   relate in a given deployment depend on the organization of the Home
   Network, as described below.

[...]

> [<PT>] Or we can change the figures to reflect the fact that one is
> config and the other arrangement?
> [<PT>] 

I guess that would be ok.  Although for now I think the simplest would
be to just refer back to Fig. 2...

>>> Note that this is a hierarchy in terms of configuration, which may not
>>> be reflected in the actual arrangement of nodes at a given point of time.
>>> For instance in the Cab Co case, some Cabs might roam to a different city,
>>> or even attach to the Headquarters.
>>> "
>>
>>Ahh!  *That* I can understand.
>>
>>Of course, I then wonder if that will actually work - what happens if a Cab
>>attaches to a HA in a different city which doesn't have a matching prefix?
> 
> [<PT>] Attaching is building a CoA, not binding. The CoA is formed from
> a prefix that is exposed by another city, and globally reachable, so it
> works. In terms of tunnels, it is an interesting story :)
> I have deployed the whole thing using my implementation to check the
> configuration. It works, cabs can be attached to other cabs, etc... When
> you add RRH to the picture, you can even have SFO attach to one of its
> cabs :)

Hmm ,,,;-)

Maybe some more words are needed to make this clear - could you have a look
at adding some?

	Henrik